Theme

API Reference

Bug Report Confirmations

Create bug report confirmations to request additional information from testers when they report bugs.

Not to be confused with Bug Fix Confirmations, which asks testers to verify that a bug has been fixed.

Create a bug report confirmation

Create a new bug report confirmation.

Endpoint: POST /bug_report_confirmations

Request Body:

  • product_id (number, required) - Product ID
  • bug_id (number, required) - Bug ID
  • section_id (number, optional) - Section ID
  • allow_device_clouds (boolean, optional, default: false) - Allow device clouds
  • requirements (array[Requirement Create], optional) - Device requirements
  • bug_report_confirmation_requirement_attributes (object, required) - Requirement attributes
    • screen_size_enabled (boolean, optional) - Enable screen size requirement
    • browser_version_enabled (boolean, optional) - Enable browser version requirement
    • question_enabled (boolean, optional) - Enable custom question
    • question (string, optional) - Your question (if enabled)
    • internet_speed_enabled (boolean, optional) - Enable internet speed requirement
    • console_enabled (boolean, optional) - Enable console requirement
    • camera_enabled (boolean, optional) - Enable camera requirement
    • logs_enabled (boolean, optional) - Enable logs requirement

Example Request:

1curl -X POST "https://api.test.io/customer/v2/bug_report_confirmations" \
2  -H "Authorization: Token YOUR_API_TOKEN" \
3  -H "Content-Type: application/json" \
4  -d '{
5    "product_id": 1,
6    "bug_id": 123,
7    "bug_report_confirmation_requirement_attributes": {
8      "question_enabled": true,
9      "question": "Can you provide more details about the issue?",
10      "console_enabled": true,
11      "logs_enabled": true
12    }
13  }'

Response: 201 Created

Returns the created bug report confirmation object.

Previous
Custom Bug Export Connections